diff --git a/game/client/src/main/java/net/minecraft/client/GLAllocation.java b/game/client/src/main/java/net/minecraft/client/GLAllocation.java
index a21921e5f..91378c500 100644
--- a/game/client/src/main/java/net/minecraft/client/GLAllocation.java
+++ b/game/client/src/main/java/net/minecraft/client/GLAllocation.java
@@ -5,7 +5,7 @@ import java.nio.*;
 import it.unimi.dsi.fastutil.ints.IntArrayList;
 import it.unimi.dsi.fastutil.ints.IntList;
 import org.lwjgl.BufferUtils;
-import org.lwjgl.opengl.GL11;
+import org.lwjgl.opengl.GL41;
 
 public class GLAllocation {
 	
@@ -14,13 +14,13 @@ public class GLAllocation {
 	public GLAllocation() {}
 
 	public static synchronized int generateTexture() {
-		int tex = GL11.glGenTextures();
+		int tex = GL41.glGenTextures();
 		textureNames.add(tex);
 		return tex;
 	}
 	
 	public static synchronized void deleteTexture(int tex) {
-		GL11.glDeleteTextures(tex);
+		GL41.glDeleteTextures(tex);
 		for (int i = 0; i < textureNames.size(); i++) {
 			if (textureNames.getInt(i) == tex) {
 				textureNames.removeInt(i);
@@ -37,7 +37,7 @@ public class GLAllocation {
 		}
 
 		intbuffer.flip();
-		GL11.glDeleteTextures(intbuffer);
+		GL41.glDeleteTextures(intbuffer);
 		textureNames.clear();
 	}
 }
diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 0031d1dff..c4d9a4201 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -571,13 +571,9 @@ public class Minecraft
         LOGGER.info("Setting up OpenGL values...");
 
         OpenGLHelper.checkError("pre startup");
-//        glEnable(GL11.GL_TEXTURE_2D);
-//        glShadeModel(GL11.GL_SMOOTH);
         GL41.glClearDepth(1.0D);
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.setDepthFunc(CompareFunc.LESS_EQUAL);
-//        glEnable(GL11.GL_ALPHA_TEST);
-//        glAlphaFunc(GL11.GL_GREATER, 0.1F);
         GLRenderer.setCullFace(CullFace.BACK);
         GLRenderer.projectionM4f().identity();
         GLRenderer.viewM4f().identity();
@@ -758,10 +754,6 @@ public class Minecraft
         GL41.glViewport(0, 0, this.gameWindow.getWidthPixels(), this.gameWindow.getHeightPixels());
         GL41.glClearColor(0.0F, 0.0F, 0.0F, 0.0F);
 
-//        glDisable(GL11.GL_LIGHTING);
-//        glEnable(GL11.GL_TEXTURE_2D);
-//        glDisable(GL11.GL_FOG);
-
         if (this.mojrand == 0) {
             this.textureManager.loadTexture("/assets/minecraft/textures/gui/title/majonk.png").bind();
         }
@@ -785,10 +777,6 @@ public class Minecraft
 
         drawMojangLogoVertices(t, (this.resolution.getScaledWidthScreenCoords() - width) / 2, (this.resolution.getScaledHeightScreenCoords() - height) / 2, 0, 0, width, height);
 
-//        glDisable(GL11.GL_LIGHTING);
-//        glDisable(GL11.GL_FOG);
-//        glEnable(GL11.GL_ALPHA_TEST);
-//        glAlphaFunc(GL_GREATER, 0.1F);
         this.gameWindow.update();
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ControllerGlyphElement.java b/game/client/src/main/java/net/minecraft/client/gui/ControllerGlyphElement.java
index bcdeb7118..d5e5a6484 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ControllerGlyphElement.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ControllerGlyphElement.java
@@ -68,8 +68,6 @@ public class ControllerGlyphElement extends Gui {
             this.minecraft.textureManager.loadTexture("/assets/minecraft/textures/gui/controller/" + controller.getType().getAssetName() + ".png").bind();
         }
 
-//        GL11.glEnable(GL11.GL_TEXTURE_2D);
-
         drawTexturedModalRect(x, y, glyph.getU(), glyph.getV(), GLYPH_WIDTH, GLYPH_HEIGHT);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java b/game/client/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java
index 8401570ee..43f6dd3c9 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ExceptionPopupElement.java
@@ -31,7 +31,6 @@ public class ExceptionPopupElement {
             s.append("Java: ").append(System.getProperty("java.version")).append(", ").append(System.getProperty("java.vendor")).append("\n");
             s.append("VM: ").append(System.getProperty("java.vm.name")).append(" (").append(System.getProperty("java.vm.info")).append("), ").append(System.getProperty("java.vm.vendor")).append("\n");
             s.append("LWJGL: ").append(Sys.getVersion()).append("\n");
-            //s1 = GL11.glGetString(GL41.GL_VENDOR);
             s.append("OpenGL: ").append(GL41.glGetString(GL41.GL_RENDERER)).append(" version ").append(GL41.glGetString(GL41.GL_VERSION)).append(", ").append(GL41.glGetString(GL41.GL_VENDOR)).append("\n\n");
         } catch (Throwable throwable) {
             s.append("[failed to get system properties (").append(throwable).append(")]\n\n");
@@ -66,7 +65,6 @@ public class ExceptionPopupElement {
             s.append("Java: ").append(System.getProperty("java.version")).append(", ").append(System.getProperty("java.vendor")).append("\n");
             s.append("VM: ").append(System.getProperty("java.vm.name")).append(" (").append(System.getProperty("java.vm.info")).append("), ").append(System.getProperty("java.vm.vendor")).append("\n");
             s.append("LWJGL: ").append(Sys.getVersion()).append("\n");
-            //s1 = GL11.glGetString(GL41.GL_VENDOR);
             s.append("OpenGL: ").append(GL41.glGetString(GL41.GL_RENDERER)).append(" version ").append(GL41.glGetString(GL41.GL_VERSION)).append(", ").append(GL41.glGetString(GL41.GL_VENDOR)).append("\n\n");
         } catch (Throwable throwable) {
             s.append("[failed to get system properties (").append(throwable).append(")]\n\n");
diff --git a/game/client/src/main/java/net/minecraft/client/gui/Gui.java b/game/client/src/main/java/net/minecraft/client/gui/Gui.java
index a32fcd029..501e00cbe 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/Gui.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/Gui.java
@@ -168,9 +168,7 @@ public class Gui {
         GLRenderer.pushFrame();
         GLRenderer.setShader(Shaders.COLOR);
         GLRenderer.enableState(State.BLEND);
-//        GL11.glDisable(GL_ALPHA_TEST);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
-//        GL11.glShadeModel(GL_SMOOTH);
         final TessellatorGeneral tessellator = GLRenderer.getTessellator();
         tessellator.startDrawingQuads();
         tessellator.setColor4f(r1, g1, b1, a1);
@@ -180,9 +178,7 @@ public class Gui {
         tessellator.addVertex(minX, maxY, 0.0D);
         tessellator.addVertex(maxX, maxY, 0.0D);
         tessellator.draw();
-//        GL11.glShadeModel(GL_FLAT);
         GLRenderer.disableState(State.BLEND);
-//        GL11.glEnable(GL_ALPHA_TEST);
         GLRenderer.popFrame();
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ItemElement.java b/game/client/src/main/java/net/minecraft/client/gui/ItemElement.java
index 5123037c4..12e03ff40 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ItemElement.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ItemElement.java
@@ -30,7 +30,6 @@ public class ItemElement extends Gui {
         // Do setup
         Lighting.enableInventoryLight();
         GLRenderer.setColor4f(1f, 1f, 1f, 1f);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
 
         // Draw slot background
         if (slot != null) {
@@ -95,7 +94,6 @@ public class ItemElement extends Gui {
         }
 
         // Clean up
-//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
         Lighting.disable();
         GLRenderer.disableState(State.DEPTH_TEST);
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/Screen.java b/game/client/src/main/java/net/minecraft/client/gui/Screen.java
index 32d85eb37..0e9676970 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/Screen.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/Screen.java
@@ -171,7 +171,6 @@ public abstract class Screen extends Gui {
 
     public void renderTexturedBackground() {
         GLRenderer.globalSetLightEnabled(false);
-//        GL11.glDisable(GL11.GL_FOG);
         final TessellatorGeneral tessellator = GLRenderer.getTessellator();
         this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
         GLRenderer.setColor4f(1f, 1f, 1f, 1f);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
index 3adbb7fc2..37d35421e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
@@ -273,7 +273,6 @@ public class ScreenHudDesigner
     public void renderTexturedBackground() {
         super.renderTexturedBackground();
         GLRenderer.globalSetLightEnabled(false);
-//        GL11.glDisable(GL11.GL_FOG);
         TessellatorGeneral tessellator = GLRenderer.getTessellator();
         this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/designer_bg.png").bind();
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
index c61d9f810..055f1240d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
@@ -92,12 +92,10 @@ public class ScreenStats extends Screen {
 
     private void renderItemAsIcon(int x, int y, int itemID) {
         renderBackgroundIcon(x + 1, y + 1);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
         Item item = Item.itemsList[itemID];
         ItemModelDispatcher.getInstance().getDispatch(item).renderGui(GLRenderer.getTessellator(), null, item.getDefaultStack(), x + 2, y + 2, LightmapHelper.getLightmapCoord(15, 15), 1f);
         Lighting.disable();
-//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
     }
 
     private void renderBackgroundIcon(int x, int y) {
@@ -209,9 +207,6 @@ public class ScreenStats extends Screen {
 
         @Override
         protected void renderDecorations(int x, int y) {
-//            GL11.glEnable(GL11.GL_TEXTURE_2D);
-//            GL11.glShadeModel(GL11.GL_FLAT);
-//            GL11.glEnable(GL11.GL_ALPHA_TEST);
             try {
                 GLRenderer.pushFrame();
                 GLRenderer.setShader(Shaders.INTERFACE);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java b/game/client/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
index 88681190c..4dd1d0c83 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
@@ -164,7 +164,6 @@ public abstract class ScrolledSelectionList {
 
         capYPosition();
         GLRenderer.globalSetLightEnabled(false);
-//        GL11.glDisable(GL11.GL_FOG);
         TessellatorGeneral tessellator = GLRenderer.getTessellator();
         this.minecraft.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
@@ -216,8 +215,6 @@ public abstract class ScrolledSelectionList {
         renderHoleBackground(this.y1, this.height, 255, 255);
         GLRenderer.enableState(State.BLEND);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
-//        GL11.glDisable(GL11.GL_ALPHA_TEST);
-//        GL11.glShadeModel(GL11.GL_SMOOTH);
         GLRenderer.pushFrame();
         GLRenderer.setShader(Shaders.COLOR);
         tessellator.startDrawingQuads();
@@ -271,8 +268,6 @@ public abstract class ScrolledSelectionList {
         }
         renderDecorations(x, y);
         GLRenderer.popFrame();
-//        GL11.glShadeModel(GL11.GL_FLAT);
-//        GL11.glEnable(GL11.GL_ALPHA_TEST);
         GLRenderer.disableState(State.BLEND);
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
index 6bc6a97b5..e0a5ada27 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
@@ -330,9 +330,6 @@ public class ScreenAchievements extends Screen
 
         GLRenderer.enableState(State.BLEND);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
-//        GL11.glDisable(GL11.GL_ALPHA_TEST);
-//        GL11.glShadeModel(GL11.GL_SMOOTH);
-//        GL11.glEnable(GL11.GL_TEXTURE_2D);
 
         super.render(mx, my, partialTick); // Draw Buttons
         GLRenderer.enableState(State.DEPTH_TEST);
@@ -341,9 +338,6 @@ public class ScreenAchievements extends Screen
 
         GLRenderer.globalSetLightEnabled(false);
         GLRenderer.disableState(State.DEPTH_TEST);
-//        GL11.glEnable(GL11.GL_TEXTURE_2D);
-//        GL11.glShadeModel(GL11.GL_FLAT);
-//        GL11.glEnable(GL11.GL_ALPHA_TEST);
 
         if (drawSidebar()){
             Scissor.enable(this.pageListLeft, this.top, this.pageListRight - this.pageListLeft, this.bottom - this.top);
@@ -365,8 +359,6 @@ public class ScreenAchievements extends Screen
             GLRenderer.setShader(Shaders.COLOR);
             GLRenderer.enableState(State.BLEND);
             GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
-//            GL11.glDisable(GL11.GL_ALPHA_TEST);
-//            GL11.glShadeModel(GL11.GL_SMOOTH);
 
             byte fadeDist = 4;
             TessellatorGeneral tessellator = GLRenderer.getTessellator();
@@ -480,10 +472,7 @@ public class ScreenAchievements extends Screen
         GLRenderer.pushFrame();
         GLRenderer.modelM4f().translate(0, 0, -200F);
         Scissor.enable(this.viewportLeft, this.viewportTop, this.viewportWidth, this.viewportHeight);
-//        GL11.glEnable(GL11.GL_TEXTURE_2D);
         GLRenderer.globalSetLightEnabled(false);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
-//        GL11.glEnable(GL11.GL_COLOR_MATERIAL);
         drawRectDouble(this.viewportLeft, this.viewportTop, this.viewportRight, this.viewportBottom, 0xFF000000 | this.currentPage.backgroundColor()); // Ensures that the viewport always has a background of some kind
 
         GLRenderer.pushFrame();
@@ -495,8 +484,6 @@ public class ScreenAchievements extends Screen
 
         Lighting.enableInventoryLight();
         GLRenderer.globalSetLightEnabled(false);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
-//        GL11.glEnable(GL11.GL_COLOR_MATERIAL);
         this.hoveredAchievement = drawAchievementIcons(mouseX, mouseY, shiftX, shiftY);
 
         GLRenderer.popFrame();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
index 47d3a97d4..00e62e2f1 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventory.java
@@ -252,8 +252,6 @@ public class ScreenInventory extends ScreenContainerAbstract {
         int k = (this.height - this.ySize) / 2;
         drawTexturedModalRect(j, k, 0, 0, this.xSize, this.ySize);
 
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
-//        GL11.glEnable(GL11.GL_COLOR_MATERIAL);
         GLRenderer.pushFrame();
         GLRenderer.setShader(Shaders.WORLD);
         GLRenderer.getFogState().disable();
@@ -287,7 +285,6 @@ public class ScreenInventory extends ScreenContainerAbstract {
         this.mc.thePlayer.xRot = f4;
         GLRenderer.popFrame();
         Lighting.disable();
-//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
index 91b920e26..8e010b1e5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
@@ -166,8 +166,6 @@ public class ScreenInventoryCreative extends ScreenInventory implements ITextCha
         this.searchField.yPosition = y + 7;
         drawTexturedModalRect(x, (double) y, 0, 0, this.xSize, this.ySize, this.xSize / 2, this.ySize / 2);
 
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
-//        GL11.glEnable(GL11.GL_COLOR_MATERIAL);
         GLRenderer.pushFrame();
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.setShader(Shaders.WORLD);
@@ -201,7 +199,6 @@ public class ScreenInventoryCreative extends ScreenInventory implements ITextCha
         this.mc.thePlayer.xRot = f4;
         GLRenderer.popFrame();
         Lighting.disable();
-//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
         this.searchField.drawTextBox();
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
index 7ba7105f2..3442f0131 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
@@ -5,7 +5,6 @@ import net.minecraft.core.block.entity.TileEntityTrommel;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.player.inventory.menu.MenuTrommel;
-import org.lwjgl.opengl.GL11;
 
 public class ScreenTrommel extends ScreenContainerAbstract {
     private final TileEntityTrommel trommelInventory;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
index 4560d6fa7..605338140 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
@@ -6,7 +6,6 @@ import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.Color;
-import org.lwjgl.opengl.GL11;
 
 public abstract class GuidebookPage
     extends Gui {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
index cfea9c8e4..c3caa69e5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
@@ -563,14 +563,11 @@ public class ScreenGuidebook
                 GLRenderer.setDepthMask(true);
                 Lighting.enableInventoryLight();
                 GLRenderer.setColor4f(1, 1, 1, 1);
-//                GL11.glEnable(GL12.GL_RESCALE_NORMAL);
 
                 GLRenderer.enableState(State.DEPTH_TEST);
-//                ItemModelDispatcher.getInstance().getDispatch(icon).renderItemIntoGui(GLRenderer.getTessellator(), fr, re, icon, x + iconOffset + xo, y + 4, 1.0f);
                 ItemModelDispatcher.getInstance().getDispatch(icon).renderGui(GLRenderer.getTessellator(), null, icon, this.x + iconOffset + xo, this.y + 4, LightmapHelper.getLightmapCoord(15, 15), 1f);
                 GLRenderer.disableState(State.DEPTH_TEST);
 
-//                GL11.glDisable(GL12.GL_RESCALE_NORMAL);
                 Lighting.disable();
                 GLRenderer.globalSetLightEnabled(false);
                 GLRenderer.disableState(State.DEPTH_TEST);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
index 885d0090c..f9d5ccfa4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/mobs/GuidebookPageMob.java
@@ -242,8 +242,6 @@ public class GuidebookPageMob
 
         Scissor.enable(x + 9, y + 9, 52, 70);
 
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
-//        GL11.glEnable(GL11.GL_COLOR_MATERIAL);
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.pushFrame();
         GLRenderer.setShader(Shaders.WORLD);
@@ -267,7 +265,6 @@ public class GuidebookPageMob
         EntityRendererDispatcher.instance.renderEntityPreviewWithPosYaw(GLRenderer.getTessellator(), this.example, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
         GLRenderer.popFrame();
         Lighting.disable();
-//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
         GLRenderer.disableState(State.DEPTH_TEST);
 
         Scissor.disable();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
index c7c42233c..c648dd819 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
@@ -126,10 +126,8 @@ public class HudIngame extends Gui {
 
         //Sleep Overlay
         Lighting.disable();
-//        GL11.glDisable(GL_RESCALE_NORMAL);
         if (this.mc.thePlayer.getSleepTimer() > 0) {
             GLRenderer.disableState(State.DEPTH_TEST);
-//            GL11.glDisable(GL_ALPHA_TEST);
             int i2 = this.mc.thePlayer.getSleepTimer();
             float f3 = (float) i2 / 100F;
             if (f3 > 1.0F) {
@@ -137,7 +135,6 @@ public class HudIngame extends Gui {
             }
             int j4 = (int) (220F * f3) << 24 | 0x101020;
             drawRect(0, 0, width, height, j4);
-//            GL11.glEnable(GL_ALPHA_TEST);
             GLRenderer.enableState(State.DEPTH_TEST);
         }
 
@@ -577,7 +574,6 @@ public class HudIngame extends Gui {
 
         GLRenderer.enableState(State.BLEND);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
-//        GL11.glDisable(GL_ALPHA_TEST);
         GLRenderer.pushFrame();
         GLRenderer.modelM4f().translate(0.0F, height - 48, 0.0F);
         int y = -12;
@@ -613,7 +609,6 @@ public class HudIngame extends Gui {
         }
 
         GLRenderer.popFrame();
-//        GL11.glEnable(GL_ALPHA_TEST);
         GLRenderer.disableState(State.BLEND);
     }
 
@@ -645,7 +640,6 @@ public class HudIngame extends Gui {
         GLRenderer.setDepthMask(false);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-//        GL11.glDisable(GL_ALPHA_TEST);
         this.mc.textureManager.loadTexture("/assets/minecraft/textures/misc/pumpkinblur.png").bind();
         TessellatorGeneral tessellator = GLRenderer.getTessellator();
         tessellator.startDrawingQuads();
@@ -656,7 +650,6 @@ public class HudIngame extends Gui {
         tessellator.draw();
         GLRenderer.setDepthMask(true);
         GLRenderer.enableState(State.DEPTH_TEST);
-//        GL11.glEnable(GL_ALPHA_TEST);
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
     }
 
@@ -687,7 +680,6 @@ public class HudIngame extends Gui {
             intensity *= intensity;
             intensity = intensity * 0.8F + 0.2F;
         }
-//        GL11.glDisable(GL_ALPHA_TEST);
         GLRenderer.disableState(State.DEPTH_TEST);
         GLRenderer.setDepthMask(false);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
@@ -707,7 +699,6 @@ public class HudIngame extends Gui {
         tessellator.draw();
         GLRenderer.setDepthMask(true);
         GLRenderer.enableState(State.DEPTH_TEST);
-//        GL11.glEnable(GL_ALPHA_TEST);
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
index 9293c965c..9b49a334d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
@@ -211,9 +211,6 @@ public class HudIngameDoom
     }
 
     private void drawHotbarIndicator() {
-//        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
-//        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
-
         int width = this.mc.resolution.getScaledWidthScreenCoords();
         int height = this.mc.resolution.getScaledHeightScreenCoords();
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
index 080de3209..525ae7d04 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
@@ -7,7 +7,6 @@ import net.minecraft.client.render.renderer.BlendFactor;
 import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import org.lwjgl.opengl.GL11;
 
 public class HudComponentCrosshair
     extends HudComponent {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
index 8ead0c6b7..070a574ca 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHeldItemCount.java
@@ -70,7 +70,6 @@ public class HudComponentHeldItemCount
             if (renderItem) {
                 GLRenderer.enableState(State.DEPTH_TEST);
                 GLRenderer.disableState(State.BLEND);
-//                GL11.glEnable(GL12.GL_RESCALE_NORMAL);
                 Lighting.enableInventoryLight();
                 ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderGui(GLRenderer.getTessellator(), null, heldItemStack, xx, yy, LightmapHelper.getLightmapCoord(15, 15), partialTick);
                 Lighting.disable();
@@ -93,7 +92,6 @@ public class HudComponentHeldItemCount
 
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.disableState(State.BLEND);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
         ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderGui(GLRenderer.getTessellator(), null, heldItemStack, xx, yy, LightmapHelper.getLightmapCoord(15, 15), 0.0f);
         Lighting.disable();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
index a57d71a1e..95f9bce85 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHotbar.java
@@ -74,7 +74,6 @@ public class HudComponentHotbar
         // Setup items
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.enableState(State.BLEND);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
         int lastHotbarStart = (mc.thePlayer.inventory.getHotbarOffset() + 27) % 36;
         int nextHotbarStart = (mc.thePlayer.inventory.getHotbarOffset() + 9) % 36;
@@ -166,7 +165,6 @@ public class HudComponentHotbar
         // Setup items
         GLRenderer.enableState(State.DEPTH_TEST);
         GLRenderer.enableState(State.BLEND);
-//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
 
         // Render hotbar items
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
index 04ff0a8bd..d458922b9 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentSubtitles.java
@@ -68,7 +68,6 @@ public class HudComponentSubtitles extends HudComponentMovable {
 
         GLRenderer.enableState(State.BLEND);
         GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
-//        GL11.glDisable(GL_ALPHA_TEST);
         for (int i = 0; i < subtitleEntries.size() && i < messagesToShow; i++)
         {
             SubtitleTracker.SubtitleEntry entry = subtitleEntries.get(i);
@@ -113,7 +112,6 @@ public class HudComponentSubtitles extends HudComponentMovable {
                 }
             }
         }
-//        GL11.glEnable(GL_ALPHA_TEST);
         GLRenderer.disableState(State.BLEND);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
index 1d9fb6105..3ab76caad 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentVehicleHealthBar.java
@@ -8,7 +8,6 @@ import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.util.helper.MathHelper;
-import org.lwjgl.opengl.GL11;
 
 import java.util.Random;
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/keyboard/ScreenKeyboard.java b/game/client/src/main/java/net/minecraft/client/gui/keyboard/ScreenKeyboard.java
index 6eefe9f74..fd3e0b839 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/keyboard/ScreenKeyboard.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/keyboard/ScreenKeyboard.java
@@ -14,7 +14,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 
 import java.util.Arrays;
 import java.util.HashMap;
